Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian GCC (http://www.linux-archive.org/debian-gcc/)
-   -   Bug#629009: Bug confirmed on other Pentium MMX (http://www.linux-archive.org/debian-gcc/544537-bug-629009-bug-confirmed-other-pentium-mmx.html)

Hans Ekbrand 06-26-2011 09:32 AM

Bug#629009: Bug confirmed on other Pentium MMX
 
After upgrading gcc and cpp from 4.4 to 4.6, cpp stopped working on Pentium MMX.

Currently, I have xrdb dying unless invoked with -cpp /usr/bin/i486-linux-gnu-cpp-4.4
and when compiling R packages, this is what I got:

gcc -I/usr/share/R/include -I"/usr/lib/R/library/Matrix/include" -I"/usr/lib/R/library/stats/include" -fpic -std=gnu99 -O3 -pipe -g -c init.c -o init.o
gcc: internal compiler error: Illegal instruction (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.
make: *** [init.o] Error 4
ERROR: compilation failed for package ‘lme4’

For the time being, I would like to use gcc-4.4 instead. How do you set 4.4 as the default version?


All times are GMT. The time now is 03:48 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.